<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
</head>
<style type="text/css" media="print">
.nover {display:none}
</style>
<BODY onLoad="self.focus();" onBlur="self.focus();">
<?php
 
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$codigo=$_REQUEST["dosps"];

date_default_timezone_set('America/Bogota');
$horasis=date("H:i:s");
$fechasis=date("Y-m-d");

$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura,nit from parametros");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
  $nit=$datosrs[5];
 }

/*
$sql_contar=mysqli_query($conexion,"SELECT fecsis from venta_credito where id='".$idpago."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
	  $fechapago=$datosrs[0];
 }
*/

 $sql_datos =mysqli_query($conexion,"select codigo,fecha,cliente,nombre,observaciones,estado,fechacierre,horacierre
												 FROM 	plan_separe		
									   where codigo='".$codigo."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$codigo=$datos[0]; 						
						$fecha=$datos[1]; 	
						$cliente=$datos[2]; 	
						$nombre=$datos[3]; 	
						$observaciones=$datos[4]; 	
						$estado=$datos[5]; 	
						$estadofin=$datos[5]; 	
						$fechacierre=$datos[6]; 	
						$horacierre=$datos[7]; 	
				   }
	
	$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
	while($datosrs= mysqli_fetch_row($sql_contar))
	{ 
	  $nombrec=$datosrs[0];
	  $direccionc=$datosrs[1];
	  $telefonoc=$datosrs[2];
	  $documentoc=$datosrs[3];
	 }
	 			   
$sql_contar=mysqli_query($conexion,"SELECT fecha,cliente,hora,usuario from venta where factura='".$id."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
	  $fecha=$datosrs[0];
	  $cliente=$datosrs[1];
	  $hora=$datosrs[2];
	  $usuario=$datosrs[3];
 }



$sql_abonos=mysqli_query($conexion,"select id,valor,fecsis,hora,usuario,cliente from venta_credito
								    where id='".$idpago."'"); 
  while($datosabono= mysqli_fetch_row($sql_abonos))//04e
	{ 
		$idpago=$datosabono[0];
		$valorpag=$datosabono[1];
		$fecsispag=$datosabono[2];
		$horapag=$datosabono[3];
		$usuario=$datosabono[4];
		$cliente=$datosabono[5];
		include "../seguridad.php";
		   $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$usuario."'");
		   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
		 include "../conexion.php";
		 
	}

$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
if($contar>=1)
{
	$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
	while($datosrs= mysqli_fetch_row($sql_contar))
	{ 
	  $nombrec=$datosrs[0];
	  $direccionc=$datosrs[1];
	  $telefonoc=$datosrs[2];
	  $documentoc=$datosrs[3];
	 }
}
else{$nombrec="";$direccionc="";$telefonoc="";$documentoc="";}		


 
   $sql_datosuser = mysqli_query($conexion,"SELECT nombre,apellido  FROM usuario where login='".$vg_login."'");
   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
 
 											
?>
<form name="parametros" method="post" action="" >

<center>
<img src="../imagenes/le.png" alt="SIVI" width="50%" height="20%">
</center>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr><td align="center" ><strong><?php echo $nit; ?></strong></td></tr>  
  <tr><td align="center" ><strong><?php echo $direccion; ?></strong></td></tr>
  <tr><td align="center" ><strong><?php echo $telefono; ?></strong></td></tr>
</table><br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong>PLAN SEPARE No. <?php echo $idpago; ?></strong> </td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong><?php echo "Fecha: ".$fechacierre." Hora: ".$horacierre; ?> </strong></td></tr>
</table><br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td></td></tr>
  <tr> <td ><strong><?php echo "Cliente: ".$documentoc."-".strtoupper($nombrec); ?> </strong></td></tr>
</table>
<br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px" >
  <tr> <td><strong><?php echo "Cajero: ".strtoupper($cajero); ?> </strong></td></tr>
</table><br>

 <?php

			 echo "<table width='95%' border='0' cellpadding='2' cellspacing='2' style='font-size:11px'>";
            echo "<tr>
                                  <td colspan='2' align='center'><strong>PRODUCTO</strong></td>
                                  <td align='center'><strong>CANT</strong></td>
                                  <td align='center'><strong>PRECIO</strong></td>											  
                                  <td align='center'><strong>TOTAL</strong></td>											 										
                            </tr>";

							$suma=0;
							$sql_datos=mysqli_query($conexion,"select id,producto,cantidad,valorunitario,total,fecsis,usuario,estado,descripcion
																FROM plan_separe_items
																where codigo='".$codigo."'
																order by id asc");
							while($datoslog= mysqli_fetch_row($sql_datos))//01
							{
								$id=$datoslog[0];
								$producto=$datoslog[1];
								$cantidad=$datoslog[2];
								$precio=$datoslog[3];
								$descripcion=$datoslog[8];
								//$total=$datoslog[4];
								$vrtotal=$cantidad*$precio;

								echo "<tr>
									<td>$producto - $descripcion</td>
										<td align='center'>$cantidad </td>
										<td align='center'>".number_format($precio)."</td>
										<td align='right'>".number_format($vrtotal)."</td>
									</tr>";
									$suma=$suma+$vrtotal;
								$c++;	
							}
	  
	  
					echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr ><td colspan='8' class='btn-primary'><CENTER>DETALLE DE ABONOS</CENTER></td></tr>";
							echo "<tr>";
								echo "<td width='5%' class='btn-primary'><center></center></td>";
								echo "<td class='btn-primary'><center>Fecha</center></td>";
								echo "<td class='btn-primary'><center>Hora</center></td>";							
								echo "<td class='btn-primary'><center>Valor abono</center></td>";	
							echo "</tr>";
							$c=1;
							 $sql_datos=mysqli_query($conexion,"SELECT valor,fecsis,horasis,id from plan_separe_abono
																 where codigo='".$codigo."'									
																 order by fecsis asc");
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									//$valor=$datos[0];	
									$valor=number_format($datos[0],2,'.',','); 								
									$fecsis=$datos[1];
									$horasis=$datos[2];
									$id=$datos[3];
									$valort=$datos[0]; 		
									
									    echo "<tr>
											  <td><input type='checkbox' name='ch$c'>
											  <input name='id$c' id='id$c' type='hidden'  value='$id' size='10'>
											  </td>
											  <td>$fecsis</td>
											  <td>$horasis</td>
											  <td align='right'><input name='valorabono$c' id='valorabono$c' type='text'  value='$valor' size='10'
															  class='form-control' data-placement='right'
															   style='text-align: right;width: 140px' onkeypress='mascara(this,cpf)' >
											  </td>	
											</tr>";
									$sumaabono=$sumaabono+$valort;
									$c=$c+1;
								  }	//04
								 
								echo "<tr >";
									  echo "																					
									  <td colspan=3><div align='right'>TOTAL ABONO</div></td>
									  <td bgcolor='#00CC66'>
									  <div align='center'><font size='5'><strong>".number_format($sumaabono)."</strong></font></div></td>
									</tr>";		
								echo "<tr >";
								echo "</table></center>";
    ?>


       <br><br><br>
 <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >
  <tr> <td align="center" ><strong>_________________________________</strong></td></tr>
  <tr> <td align="center"><strong>FIRMA CLIENTE</strong></td></tr>
</table><br>


 <table width="95%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px" >
  <tr> <td align="justify" ><strong>PRENDAS Y ACCESORIOS ESCLUSIVOS PARA BEBES Y NIŅAS</strong></td></tr>
</table><br>

       <center>
        <input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"  onClick="window.print();" >
        <input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"  onClick="window.close();" >
         <input name="oculto" type="hidden" id="oculto">         
        </center>
</form>
</body>
</html>
